org.apache.poi.hssf.record

## Class PaneRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.PaneRecord

- All Implemented Interfaces:
    Duplicatable

      public final class PaneRecord
      extends StandardRecord

  Describes the frozen and unfrozen panes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `ACTIVE_PANE_LOWER_LEFT`
    `static short` | `ACTIVE_PANE_LOWER_RIGHT`
    `static short` | `ACTIVE_PANE_UPPER_LEFT`
    `static short` | `ACTIVE_PANE_UPPER_RIGHT`
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaneRecord()`
    `PaneRecord(PaneRecord other)`
    `PaneRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `PaneRecord` | `clone()` Deprecated.
    `PaneRecord` | `copy()`
    `short` | `getActivePane()` Get the active pane field for the Pane record.
    `protected int` | `getDataSize()`
    `short` | `getLeftColumn()` Get the left column field for the Pane record.
    `short` | `getSid()` return the non static version of the id for this record.
    `short` | `getTopRow()` Get the top row field for the Pane record.
    `short` | `getX()` Get the x field for the Pane record.
    `short` | `getY()` Get the y field for the Pane record.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setActivePane(short field_5_activePane)` Set the active pane field for the Pane record.
    `void` | `setLeftColumn(short field_4_leftColumn)` Set the left column field for the Pane record.
    `void` | `setTopRow(short field_3_topRow)` Set the top row field for the Pane record.
    `void` | `setX(short field_1_x)` Set the x field for the Pane record.
    `void` | `setY(short field_2_y)` Set the y field for the Pane record.
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

    - #### ACTIVE_PANE_LOWER_RIGHT

          public static final short ACTIVE_PANE_LOWER_RIGHT

      See Also:
        Constant Field Values

    - #### ACTIVE_PANE_UPPER_RIGHT

          public static final short ACTIVE_PANE_UPPER_RIGHT

      See Also:
        Constant Field Values

    - #### ACTIVE_PANE_LOWER_LEFT

          public static final short ACTIVE_PANE_LOWER_LEFT

      See Also:
        Constant Field Values

    - #### ACTIVE_PANE_UPPER_LEFT

          public static final short ACTIVE_PANE_UPPER_LEFT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PaneRecord

          public PaneRecord()

    - #### PaneRecord

          public PaneRecord(PaneRecord other)

    - #### PaneRecord

          public PaneRecord(RecordInputStream in)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public PaneRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public PaneRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

    - #### getX

          public short getX()

      Get the x field for the Pane record.
      Returns:
        the x value

    - #### setX

          public void setX(short field_1_x)

      Set the x field for the Pane record.
      Parameters:
        `field_1_x` - the x value

    - #### getY

          public short getY()

      Get the y field for the Pane record.
      Returns:
        the y value

    - #### setY

          public void setY(short field_2_y)

      Set the y field for the Pane record.
      Parameters:
        `field_2_y` - the y value

    - #### getTopRow

          public short getTopRow()

      Get the top row field for the Pane record.
      Returns:
        the top row

    - #### setTopRow

          public void setTopRow(short field_3_topRow)

      Set the top row field for the Pane record.
      Parameters:
        `field_3_topRow` - the top row

    - #### getLeftColumn

          public short getLeftColumn()

      Get the left column field for the Pane record.
      Returns:
        the left column

    - #### setLeftColumn

          public void setLeftColumn(short field_4_leftColumn)

      Set the left column field for the Pane record.
      Parameters:
        `field_4_leftColumn` - the left column

    - #### getActivePane

          public short getActivePane()

      Get the active pane field for the Pane record.
      Returns:
        One of ACTIVE_PANE_LOWER_RIGHT ACTIVE_PANE_UPPER_RIGHT ACTIVE_PANE_LOWER_LEFT ACTIVE_PANE_UPPER_LEFT

    - #### setActivePane

          public void setActivePane(short field_5_activePane)

      Set the active pane field for the Pane record.
      Parameters:
        `field_5_activePane` - One of ACTIVE_PANE_LOWER_RIGHT ACTIVE_PANE_UPPER_RIGHT ACTIVE_PANE_LOWER_LEFT ACTIVE_PANE_UPPER_LEFT

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.